/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftsept17g1
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftsept17g1` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftsept17g1`;

/*Table structure for table `masina` */

DROP TABLE IF EXISTS `masina`;

CREATE TABLE `masina` (
  `MasinaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Marka` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`MasinaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `masina` */

insert  into `masina`(`MasinaID`,`Naziv`,`Marka`) values (1,'M1','Marka1'),(2,'M2','Marka1'),(3,'M3','Marka2'),(4,'M4','Marka2'),(5,'M5','Marka3');

/*Table structure for table `radninalog` */

DROP TABLE IF EXISTS `radninalog`;

CREATE TABLE `radninalog` (
  `RadniNalogID` int(11) NOT NULL AUTO_INCREMENT,
  `Datum` date DEFAULT NULL,
  `Mesto` varchar(255) DEFAULT NULL,
  `BrojUgovora` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`RadniNalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `radninalog` */

/*Table structure for table `stavkaradnognaloga` */

DROP TABLE IF EXISTS `stavkaradnognaloga`;

CREATE TABLE `stavkaradnognaloga` (
  `RadniNalogID` int(11) NOT NULL,
  `RB` int(11) NOT NULL,
  `Izvrsilac` varchar(255) DEFAULT NULL,
  `OpisPosla` varchar(255) DEFAULT NULL,
  `ProjektovanoSati` double DEFAULT NULL,
  `OstvarenoSati` double DEFAULT NULL,
  `VrstaPoslaID` int(11) DEFAULT NULL,
  `MasinaID` int(11) DEFAULT NULL,
  PRIMARY KEY (`RadniNalogID`,`RB`),
  KEY `VrstaPoslaID` (`VrstaPoslaID`),
  KEY `MasinaID` (`MasinaID`),
  CONSTRAINT `stavkaradnognaloga_ibfk_1` FOREIGN KEY (`RadniNalogID`) REFERENCES `radninalog` (`RadniNalogID`),
  CONSTRAINT `stavkaradnognaloga_ibfk_2` FOREIGN KEY (`VrstaPoslaID`) REFERENCES `vrstaposla` (`VrstaPoslaID`),
  CONSTRAINT `stavkaradnognaloga_ibfk_3` FOREIGN KEY (`MasinaID`) REFERENCES `masina` (`MasinaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `stavkaradnognaloga` */

/*Table structure for table `vrstaposla` */

DROP TABLE IF EXISTS `vrstaposla`;

CREATE TABLE `vrstaposla` (
  `VrstaPoslaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`VrstaPoslaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `vrstaposla` */

insert  into `vrstaposla`(`VrstaPoslaID`,`Naziv`) values (1,'Ispitivanje tla'),(2,'Projektovanje'),(3,'Gletovanje'),(4,'Izrada asfalta'),(5,'Struganje');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
